{
  "manifest-version": 1,
  "name": "rfdog",
  "version": "0.1.0",
  "category": "communication",
  "type": "container",
  "description": "Module for working with rfcat dongles",
  "authors": [
    "Invuls"
  ],
  "license": "MIT",
  "container-class": "RFdog",
  "input": {
    "need_to_replug": {
      "description": "Need to reconnect RFcat dongle",
      "type": "boolean",
      "required": false,
      "default-value": false
    },
    "modulation": {
      "description": "Modulation: ASK_OOK, 2FSK, ...",
      "type": "string",
      "required": false,
      "default-value": "ASK_OOK"
    },
    "package_len": {
      "description": "Capture maximum package len",
      "type": "int",
      "required": false,
      "default-value": 250
    },
    "recv_timeout_ms": {
      "description": "Receive timeout for package (ms)",
      "type": "int",
      "required": false,
      "default-value": 1000
    },
    "modem_baudrate": {
      "description": "Baudrate of modem communication",
      "type": "int",
      "required": false,
      "default-value": 19200
    },
    "crc": {
      "description": "Check CRC of packages",
      "type": "boolean",
      "required": false,
      "default-value": false
    },
    "power": {
      "description": "Power of radio, 1..100 (set 999 for max)",
      "type": "int",
      "required": false,
      "default-value": 999
    },
    "noise_lvl": {
      "description": "Noise lvl 0..3 (RFcat lowball option)",
      "type": "int",
      "required": false,
      "default-value": 1
    }
  },
  "dependencies": {},
  "submodules": {
    "recv": {
      "description": "Sniff by time or package amount",
      "run-policy": "foreground-only",
      "input": {
        "time_ms": {
          "description": "Time for sniffing in ms",
          "type": "int",
          "required": false,
          "default-value": 10000
        },
        "pkgs": {
          "description": "Amount of packages to capture",
          "type": "int",
          "required": false,
          "default-value": 1000000
        },
        "freq": {
          "description": "Frequency (in hz)",
          "type": "int",
          "required": false,
          "default-value": 433000000
        },
        "filename": {
          "description": "Write result in file",
          "type": "string",
          "required": false,
          "default-value": "None"
        },
        "live_print": {
          "description": "Print packages (console-mode)",
          "type": "boolean",
          "required": false,
          "default-value": true
        }
      }
    },
    "send": {
      "description": "Send data",
      "run-policy": "foreground-only",
      "input": {
        "data": {
          "description": "Send data (hex)",
          "type": "string",
          "required": false,
          "default-value": "31323334"
        },
        "send_time": {
          "description": "Send time limit (ms)",
          "type": "int",
          "required": false,
          "default-value": 1000000
        },
        "pkgs": {
          "description": "Package limit to send",
          "type": "int",
          "required": false,
          "default-value": 1
        },
        "freq": {
          "description": "Frequency (in hz)",
          "type": "int",
          "required": false,
          "default-value": 433000000
        },
        "delay": {
          "description": "Delay between package send",
          "type": "int",
          "required": false,
          "default-value": 100
        },
        "live_print": {
          "description": "Print packages (console-mode)",
          "type": "boolean",
          "required": false,
          "default-value": true
        }
      }
    },
    "detect_modulation": {
      "description": "Detect modulation with known frequency",
      "run-policy": "foreground-only",
      "input": {
        "freq": {
          "description": "Frequency (in hz)",
          "type": "int",
          "required": false,
          "default-value": 433000000
        },
        "sniff_time": {
          "description": "Time for sniffing one modulation (ms)",
          "type": "int",
          "required": false,
          "default-value": 5000
        },
        "delay_time": {
          "description": "Delay between modulations change (ms)",
          "type": "int",
          "required": false,
          "default-value": 5000
        },
        "live_print": {
          "description": "Print packages (console-mode)",
          "type": "boolean",
          "required": false,
          "default-value": true
        }
      }
    },
    "replay_attack": {
      "description": "Replay attack against known frequency",
      "run-policy": "foreground-only",
      "input": {
        "freq": {
          "description": "Frequency (in hz)",
          "type": "int",
          "required": false,
          "default-value": 433000000
        },
        "sniff_time": {
          "description": "Time for sniffing packages (ms)",
          "type": "int",
          "required": false,
          "default-value": 10000
        },
        "repeat_time": {
          "description": "Repeat captured packages for time (ms)",
          "type": "int",
          "required": false,
          "default-value": 10000
        }
      }
    }
  }
}